# -*- coding: utf-8 -*-

import time
import json

from flask import Blueprint, url_for

from .login import bp
from .wx import WeixinLogin


class WxLogin(WeixinLogin):

    def __init__(self, app=None, config_prefix=""):
        self.prefix = config_prefix
        if app is not None:
            self.init_app(app)

    def init_app(self, app):
        app.config.setdefault(self.prefix + "WXMP_APP_ID", None)
        app.config.setdefault(self.prefix + "WXMP_APP_SECRET", None)
        app.config.setdefault(self.prefix + "WXMP_USER_COOKIES_NAME", None)
        app.config.setdefault(self.prefix + "WXMP_VERSION_CODE", "v1")
        super(WxLogin, self).__init__(app, self.prefix)
        # wx_login.init_app(app)

        # 注册rbac视图函数
        app.register_blueprint(
            bp, url_prefix="/%s/wxlogin" % app.config["WXMP_VERSION_CODE"])
